Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.ec
Class ECCurve.Fp

    java.lang.Object
      org.bouncycastle.math.ec.ECCurve
          org.bouncycastle.math.ec.ECCurve.Fp

Enclosing class:
  ECCurve

public static class ECCurve.Fp
extends ECCurve

Elliptic curve over Fp

Nested Class Summary

Nested classes inherited from class org.bouncycastle.math.ec.ECCurve
`ECCurve.F2m, ECCurve.Fp`

Constructor Summary
`ECCurve.Fp(java.math.BigInteger q, java.math.BigInteger a, java.math.BigInteger b)`

Method Summary
`ECPoint` | `decodePoint(byte[] encoded)` decode a point on this curve which has been encoded using point compression (X9.62 s 4.2.1 pg 17) returning the point.
`ECFieldElement` | `fromBigInteger(java.math.BigInteger x)`
`java.math.BigInteger` | `getQ()`

Methods inherited from class org.bouncycastle.math.ec.ECCurve
`getA, getB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECCurve.Fp

    public ECCurve.Fp(java.math.BigInteger q,
                      java.math.BigInteger a,
                      java.math.BigInteger b)

Method Detail

### getQ

    public java.math.BigInteger getQ()

### fromBigInteger

    public ECFieldElement fromBigInteger(java.math.BigInteger x)

  Specified by:
    `fromBigInteger` in class `ECCurve`

### decodePoint

    public ECPoint decodePoint(byte[] encoded)

  decode a point on this curve which has been encoded using point compression (X9.62 s 4.2.1 pg 17) returning the point.

  Specified by:
    `decodePoint` in class `ECCurve`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD